// pages/leaderRegistered/leaderRegistered.js
var app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    qrId:'',
    leaderTitle:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;

    this.setData({
      qrId: options.qrId,
    })
    //获取qr信息
    wx.request({
      url: 'https://www.koala-online.cn/compass/if/ajax_get_qr_info.php',
      data: {
        qrId: this.data.qrId,
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        var province = res.data.result.qrDat.province
        var city = res.data.result.qrDat.city
        var district = res.data.result.qrDat.district
        that.setData({
          leaderTitle: province + city + district,
        })

      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    //如果用户已经注册则跳转到首页
    var config = wx.getStorageSync('config');
    if (config.registed == true) {
      //跳转到首页
      wx.switchTab({
        url: '../index/index',
      });
    }
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },


  //提交注册
  regist(){
    var config = wx.getStorageSync('config');
    // 获取用户信息
    wx.getUserInfo({
      success: res => {
        // 可以将 res 发送给后台解码出 unionId
        app.globalData.userInfo = res.userInfo
        // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
        // 所以此处加入 callback 以防止这种情况
        if (this.userInfoReadyCallback) {
          this.userInfoReadyCallback(res)
        }
        wx.request({
          url: 'https://www.koala-online.cn/compass/if/ajax_leader_user_register.php',
          data: {
            unionId: config.unionId,
            openId: config.openId,
            headerImg: app.globalData.userInfo.avatarUrl,
            qrId: this.data.qrId,
          },
          header: { 'content-type': 'application/json' },
          method: 'GET',
          dataType: 'json',
          success: function (res) {
            //跳转到年龄选择
            wx.navigateTo({
              url: '../ageChange/ageChange',
            });
          },
          fail: function (res) { },
          complete: function (res) { },
        })
      }
    })


  }
})